wrapper <- function(table, columns, options) {

    # initialize output list
    l <- list()

    # loop through all columns
    for (key in names(columns)) {
        # load column data
        column <- as.numeric(columns[key])
        column_data <- sapply( table[column], as.numeric )

        # create hist data
        hist_data <- hist(column_data, plot=FALSE)
        
        # normalize densities
        count_sum <- sum(hist_data$counts)
        if (count_sum > 0) {
            hist_data$counts=hist_data$counts/count_sum
        }

        # collect vectors in list
        l <- append(l, list(hist_data$breaks[2: length(hist_data$breaks)]))
        l <- append(l, list(hist_data$counts))
    }
    
    # make sure length is fine
    n <- max(sapply(l, length))
    ll <- lapply(l, function(X) {
        c(as.character(X), rep('undefined', times = n - length(X)))
    })
    l <- do.call(cbind, ll)

    # return
    return (l)
}
